stages:
  - lint
  - build
  - test

cache:
  paths:
    - .m2/repository/

build:
  image: maven:latest
  stage: build
  script:
    - mvn $MAVEN_CLI_OPTS clean package

test:
  image: maven:latest
  stage: test
  script:
    - mvn $MAVEN_CLI_OPTS test
